Bug 334772 - if grouping is enabled in taskbar, plasma crashes on panel remove
Summary: if grouping is enabled in taskbar, plasma crashes on panel remove
Status: RESOLVED FIXED
Alias: None
Product: plasmashell
Classification: Unclassified
Component: Task Manager and Icons-Only Task Manager (show other bugs)
Version: master
Platform: Compiled Sources Linux
: NOR crash
Target Milestone: 1.0
Assignee: Eike Hein
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-05-14 16:30 UTC by Marco Martin
Modified: 2014-06-20 21:00 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Marco Martin 2014-05-14 16:30:16 UTC
the following bt happens only if a panel with a taskbar is removed, and the taskbar has grouping enabled

Reproducible: Always




Thread 1 (Thread 0x7f747096d780 (LWP 1359)):
[KCrash Handler]
#6  0x00007f746fb816a6 in QQmlContext::isValid (this=0x41d9570) at qml/qqmlcontext.cpp:231
#7  0x00007f746fc63870 in QQmlDelegateModelPrivate::emitChanges (this=0x41d90c0) at types/qqmldelegatemodel.cpp:1412
#8  0x00007f746fc628cb in QQmlDelegateModel::_q_itemsInserted (this=0x41d8ad0, index=9, count=1) at types/qqmldelegatemodel.cpp:1232
#9  0x00007f746fc63d06 in QQmlDelegateModel::_q_rowsInserted (this=0x41d8ad0, parent=..., begin=9, end=9) at types/qqmldelegatemodel.cpp:1472
#10 0x00007f746fc95be8 in QQmlDelegateModel::qt_static_metacall (_o=0x41d8ad0, _c=QMetaObject::InvokeMetaMethod, _id=8, _a=0x7fff5d027fc0) at .moc/moc_qqmldelegatemodel_p.cpp:188
#11 0x00007f746fc9606f in QQmlDelegateModel::qt_metacall (this=0x41d8ad0, _c=QMetaObject::InvokeMetaMethod, _id=8, _a=0x7fff5d027fc0) at .moc/moc_qqmldelegatemodel_p.cpp:282
#12 0x00007f74678fb3cd in QMetaObject::metacall (object=0x41d8ad0, cl=QMetaObject::InvokeMetaMethod, idx=18, argv=0x7fff5d027fc0) at kernel/qmetaobject.cpp:308
#13 0x00007f7467935b54 in QMetaObject::activate (sender=0x41cede0, signalOffset=3, local_signal_index=10, argv=0x7fff5d027fc0) at kernel/qobject.cpp:3695
#14 0x00007f746793528c in QMetaObject::activate (sender=0x41cede0, m=0x7f7467de07e0 <QAbstractItemModel::staticMetaObject>, local_signal_index=10, argv=0x7fff5d027fc0) at kernel/qobject.cpp:3546
#15 0x00007f74679c6e03 in QAbstractItemModel::rowsInserted (this=0x41cede0, _t1=..., _t2=9, _t3=9) at .moc/moc_qabstractitemmodel.cpp:427
#16 0x00007f746789477b in QAbstractItemModel::endInsertRows (this=0x41cede0) at itemmodels/qabstractitemmodel.cpp:2622
#17 0x00007f737c06802b in TaskManager::TasksModelPrivate::itemAdded(TaskManager::AbstractGroupableItem*) () from /opt/kde5/lib64/libtaskmanager.so.5
#18 0x00007f737c068848 in TaskManager::TasksModel::qt_static_metacall(QObject*, QMetaObject::Call, int, void**) () from /opt/kde5/lib64/libtaskmanager.so.5
#19 0x00007f7467935a7b in QMetaObject::activate (sender=0x41c6eb0, signalOffset=5, local_signal_index=1, argv=0x7fff5d028300) at kernel/qobject.cpp:3680
#20 0x00007f746793528c in QMetaObject::activate (sender=0x41c6eb0, m=0x7f737c29f520 <TaskManager::TaskGroup::staticMetaObject>, local_signal_index=1, argv=0x7fff5d028300) at kernel/qobject.cpp:3546
#21 0x00007f737c05a7e5 in TaskManager::TaskGroup::itemAdded(TaskManager::AbstractGroupableItem*) () from /opt/kde5/lib64/libtaskmanager.so.5
#22 0x00007f737c057cbb in TaskManager::TaskGroup::add(TaskManager::AbstractGroupableItem*, int) () from /opt/kde5/lib64/libtaskmanager.so.5
#23 0x00007f737c02ad87 in TaskManager::AbstractGroupingStrategy::destroy() () from /opt/kde5/lib64/libtaskmanager.so.5
#24 0x00007f737c02abbc in TaskManager::AbstractGroupingStrategy::~AbstractGroupingStrategy() () from /opt/kde5/lib64/libtaskmanager.so.5
#25 0x00007f737c048c85 in TaskManager::ProgramGroupingStrategy::~ProgramGroupingStrategy() () from /opt/kde5/lib64/libtaskmanager.so.5
#26 0x00007f737c048cb8 in TaskManager::ProgramGroupingStrategy::~ProgramGroupingStrategy() () from /opt/kde5/lib64/libtaskmanager.so.5
#27 0x00007f737c02ea85 in TaskManager::GroupManager::~GroupManager() () from /opt/kde5/lib64/libtaskmanager.so.5
#28 0x00007f737c02eaf6 in TaskManager::GroupManager::~GroupManager() () from /opt/kde5/lib64/libtaskmanager.so.5
#29 0x00007f746793044e in QObjectPrivate::deleteChildren (this=0x41ac630) at kernel/qobject.cpp:1935
#30 0x00007f746792eb17 in QObject::~QObject (this=0x41ab8f0, __in_chrg=<optimized out>) at kernel/qobject.cpp:1028
#31 0x00007f73779b881a in Backend::~Backend() () from /opt/kde5/lib64/qml/org/kde/plasma/private/taskmanager/libtaskmanagerplugin.so
#32 0x00007f73779be280 in QQmlPrivate::QQmlElement<Backend>::~QQmlElement() () from /opt/kde5/lib64/qml/org/kde/plasma/private/taskmanager/libtaskmanagerplugin.so
#33 0x00007f73779be2b2 in QQmlPrivate::QQmlElement<Backend>::~QQmlElement() () from /opt/kde5/lib64/qml/org/kde/plasma/private/taskmanager/libtaskmanagerplugin.so
#34 0x00007f746793044e in QObjectPrivate::deleteChildren (this=0x41aa320) at kernel/qobject.cpp:1935
#35 0x00007f746792eb17 in QObject::~QObject (this=0x41aa2f0, __in_chrg=<optimized out>) at kernel/qobject.cpp:1028
#36 0x00007f7470269d2c in QQuickItem::~QQuickItem (this=0x41aa2f0, __in_chrg=<optimized out>) at items/qquickitem.cpp:2064
#37 0x00007f74702d93e7 in QQmlPrivate::QQmlElement<QQuickItem>::~QQmlElement (this=0x41aa2f0, __in_chrg=<optimized out>) at ../../include/QtQml/../../src/qml/qml/qqmlprivate.h:106
#38 0x00007f74702d9422 in QQmlPrivate::QQmlElement<QQuickItem>::~QQmlElement (this=0x41aa2f0, __in_chrg=<optimized out>) at ../../include/QtQml/../../src/qml/qml/qqmlprivate.h:106
#39 0x00007f746e6241be in PlasmaQuick::AppletQuickItem::~AppletQuickItem (this=0x2d8d3c0, __in_chrg=<optimized out>) at /home/diau/git/kf5/frameworks/plasma-framework/src/plasmaquick/appletquickitem.cpp:418
#40 0x00007f7441a02bf3 in AppletInterface::~AppletInterface (this=0x2d8d3c0, __in_chrg=<optimized out>) at /home/diau/git/kf5/frameworks/plasma-framework/src/scriptengines/qml/plasmoid/appletinterface.cpp:124
#41 0x00007f7441a02c2e in AppletInterface::~AppletInterface (this=0x2d8d3c0, __in_chrg=<optimized out>) at /home/diau/git/kf5/frameworks/plasma-framework/src/scriptengines/qml/plasmoid/appletinterface.cpp:126
#42 0x00007f746793044e in QObjectPrivate::deleteChildren (this=0x2d8a8f0) at kernel/qobject.cpp:1935
#43 0x00007f746792eb17 in QObject::~QObject (this=0x2d8ddf0, __in_chrg=<optimized out>) at kernel/qobject.cpp:1028
#44 0x00007f746e906d3e in Plasma::ScriptEngine::~ScriptEngine (this=0x2d8ddf0, __in_chrg=<optimized out>) at /home/diau/git/kf5/frameworks/plasma-framework/src/plasma/scripting/scriptengine.cpp:42
#45 0x00007f746e905e1a in Plasma::AppletScript::~AppletScript (this=0x2d8ddf0, __in_chrg=<optimized out>) at /home/diau/git/kf5/frameworks/plasma-framework/src/plasma/scripting/appletscript.cpp:44
#46 0x00007f74419fd9d2 in DeclarativeAppletScript::~DeclarativeAppletScript (this=0x2d8ddf0, __in_chrg=<optimized out>) at /home/diau/git/kf5/frameworks/plasma-framework/src/scriptengines/qml/plasmoid/declarativeappletscript.cpp:75
#47 0x00007f74419fda04 in DeclarativeAppletScript::~DeclarativeAppletScript (this=0x2d8ddf0, __in_chrg=<optimized out>) at /home/diau/git/kf5/frameworks/plasma-framework/src/scriptengines/qml/plasmoid/declarativeappletscript.cpp:77
#48 0x00007f746e8b05bb in Plasma::AppletPrivate::~AppletPrivate (this=0x2d8e380, __in_chrg=<optimized out>) at /home/diau/git/kf5/frameworks/plasma-framework/src/plasma/private/applet_p.cpp:89
#49 0x00007f746e8b0708 in Plasma::AppletPrivate::~AppletPrivate (this=0x2d8e380, __in_chrg=<optimized out>) at /home/diau/git/kf5/frameworks/plasma-framework/src/plasma/private/applet_p.cpp:98
#50 0x00007f746e89f163 in Plasma::Applet::~Applet (this=0x2d7a450, __in_chrg=<optimized out>) at /home/diau/git/kf5/frameworks/plasma-framework/src/plasma/applet.cpp:110
#51 0x00007f746e89f1a2 in Plasma::Applet::~Applet (this=0x2d7a450, __in_chrg=<optimized out>) at /home/diau/git/kf5/frameworks/plasma-framework/src/plasma/applet.cpp:111
#52 0x00007f746e8b4f0e in Plasma::ContainmentPrivate::~ContainmentPrivate (this=0x29420c0, __in_chrg=<optimized out>) at /home/diau/git/kf5/frameworks/plasma-framework/src/plasma/private/containment_p.cpp:63
#53 0x00007f746e8a3833 in Plasma::Containment::~Containment (this=0x293ceb0, __in_chrg=<optimized out>) at /home/diau/git/kf5/frameworks/plasma-framework/src/plasma/containment.cpp:94
#54 0x00007f746e8a3882 in Plasma::Containment::~Containment (this=0x293ceb0, __in_chrg=<optimized out>) at /home/diau/git/kf5/frameworks/plasma-framework/src/plasma/containment.cpp:95
#55 0x00007f74679375be in qDeleteInEventHandler (o=0x293ceb0) at kernel/qobject.cpp:4342
#56 0x00007f746792eea6 in QObject::event (this=0x293ceb0, e=0x53444b0) at kernel/qobject.cpp:1232
#57 0x00007f74689fe086 in QApplicationPrivate::notify_helper (this=0x24ed4b0, receiver=0x293ceb0, e=0x53444b0) at kernel/qapplication.cpp:3491
#58 0x00007f74689fb765 in QApplication::notify (this=0x7fff5d029b50, receiver=0x293ceb0, e=0x53444b0) at kernel/qapplication.cpp:2944
#59 0x00007f74678f26e6 in QCoreApplication::notifyInternal (this=0x7fff5d029b50, receiver=0x293ceb0, event=0x53444b0) at kernel/qcoreapplication.cpp:935
#60 0x00007f74678f64c7 in QCoreApplication::sendEvent (receiver=0x293ceb0, event=0x53444b0) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:237
#61 0x00007f74678f3a5c in QCoreApplicationPrivate::sendPostedEvents (receiver=0x0, event_type=0, data=0x24e4510) at kernel/qcoreapplication.cpp:1539
#62 0x00007f74678f33fe in QCoreApplication::sendPostedEvents (receiver=0x0, event_type=0) at kernel/qcoreapplication.cpp:1397
#63 0x00007f746796b884 in postEventSourceDispatch (s=0x2538170) at kernel/qeventdispatcher_glib.cpp:279
#64 0x00007f74623aa7d5 in g_main_context_dispatch () from /usr/lib64/libglib-2.0.so.0
#65 0x00007f74623aab08 in ?? () from /usr/lib64/libglib-2.0.so.0
#66 0x00007f74623aabc4 in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#67 0x00007f746796c05b in QEventDispatcherGlib::processEvents (this=0x252e2e0, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#68 0x00007f745bb6a72a in QPAEventDispatcherGlib::processEvents (this=0x252e2e0, flags=...) at eventdispatchers/qeventdispatcher_glib.cpp:123
#69 0x00007f74678ef246 in QEventLoop::processEvents (this=0x7fff5d029a10, flags=...) at kernel/qeventloop.cpp:136
#70 0x00007f74678ef533 in QEventLoop::exec (this=0x7fff5d029a10, flags=...) at kernel/qeventloop.cpp:212
#71 0x00007f74678f2dcf in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1188
#72 0x00007f7468146a0e in QGuiApplication::exec () at kernel/qguiapplication.cpp:1436
#73 0x00007f74689faf89 in QApplication::exec () at kernel/qapplication.cpp:2736
#74 0x000000000045f133 in main ()
Comment 1 Eike Hein 2014-05-14 22:37:09 UTC
I'm unable to reproduce this crash locally. Can you please provide additional information:

- The open tasks at the time you induce the crash, especially the existance of groups.

- The full config of the applet.
Comment 2 David Edmundson 2014-06-20 15:02:37 UTC
Can confirm.

My open tasks were:
 9 instances of chromium and a konsole

Application: plasmashell (plasmashell), signal: Segmentation fault
Using host libthread_db library "/usr/lib/libthread_db.so.1".
[Current thread is 1 (Thread 0x7f2d2a17a800 (LWP 6540))]

Thread 36 (Thread 0x7f2d11dca700 (LWP 6541)):
#0  0x00007f2d2052981d in poll () from /usr/lib/libc.so.6
#1  0x00007f2d251c6992 in ?? () from /usr/lib/libxcb.so.1
#2  0x00007f2d251c847f in xcb_wait_for_event () from /usr/lib/libxcb.so.1
#3  0x00007f2d13e0cf41 in QXcbEventReader::run (this=0x83f070) at qxcbconnection.cpp:1034
#4  0x00007f2d210d1ab9 in QThreadPrivate::start (arg=0x83f070) at thread/qthread_unix.cpp:345
#5  0x00007f2d20232124 in start_thread () from /usr/lib/libpthread.so.0
#6  0x00007f2d205324bd in clone () from /usr/lib/libc.so.6

Thread 35 (Thread 0x7f2d0bee1700 (LWP 6543)):
#0  0x00007f2d1bf885e2 in g_main_context_query () from /usr/lib/libglib-2.0.so.0
#1  0x00007f2d1bf88cd2 in ?? () from /usr/lib/libglib-2.0.so.0
#2  0x00007f2d1bf88e6c in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#3  0x00007f2d21367e97 in QEventDispatcherGlib::processEvents (this=0x7f2d040008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:428
#4  0x00007f2d212ed28c in QEventLoop::processEvents (this=0x7f2d0bee0d60, flags=...) at kernel/qeventloop.cpp:136
#5  0x00007f2d212ed56f in QEventLoop::exec (this=0x7f2d0bee0d60, flags=...) at kernel/qeventloop.cpp:212
#6  0x00007f2d210ca582 in QThread::exec (this=0x8f4d40) at thread/qthread.cpp:511
#7  0x00007f2d29484be5 in QQmlThreadPrivate::run (this=0x8f4d40) at qml/ftw/qqmlthread.cpp:149
#8  0x00007f2d210d1ab9 in QThreadPrivate::start (arg=0x8f4d40) at thread/qthread_unix.cpp:345
#9  0x00007f2d20232124 in start_thread () from /usr/lib/libpthread.so.0
#10 0x00007f2d205324bd in clone () from /usr/lib/libc.so.6

Thread 34 (Thread 0x7f2d007a1700 (LWP 6544)):
#0  0x00007f2d202349d1 in pthread_mutex_lock () from /usr/lib/libpthread.so.0
#1  0x00007f2d1bfca721 in g_mutex_lock () from /usr/lib/libglib-2.0.so.0
#2  0x00007f2d1bf88946 in g_main_context_dispatch () from /usr/lib/libglib-2.0.so.0
#3  0x00007f2d1bf88dc8 in ?? () from /usr/lib/libglib-2.0.so.0
#4  0x00007f2d1bf88e6c in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#5  0x00007f2d21367e97 in QEventDispatcherGlib::processEvents (this=0x7f2cf80008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:428
#6  0x00007f2d212ed28c in QEventLoop::processEvents (this=0x7f2d007a0d60, flags=...) at kernel/qeventloop.cpp:136
#7  0x00007f2d212ed56f in QEventLoop::exec (this=0x7f2d007a0d60, flags=...) at kernel/qeventloop.cpp:212
#8  0x00007f2d210ca582 in QThread::exec (this=0xe56a30) at thread/qthread.cpp:511
#9  0x00007f2d29484be5 in QQmlThreadPrivate::run (this=0xe56a30) at qml/ftw/qqmlthread.cpp:149
#10 0x00007f2d210d1ab9 in QThreadPrivate::start (arg=0xe56a30) at thread/qthread_unix.cpp:345
#11 0x00007f2d20232124 in start_thread () from /usr/lib/libpthread.so.0
#12 0x00007f2d205324bd in clone () from /usr/lib/libc.so.6

Thread 33 (Thread 0x7f2cfe93d700 (LWP 6547)):
#0  0x00007f2d2052981d in poll () from /usr/lib/libc.so.6
#1  0x00007f2d1bf88d64 in ?? () from /usr/lib/libglib-2.0.so.0
#2  0x00007f2d1bf88e6c in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#3  0x00007f2d21367e97 in QEventDispatcherGlib::processEvents (this=0x7f2cf40008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:428
#4  0x00007f2d212ed28c in QEventLoop::processEvents (this=0x7f2cfe93cd60, flags=...) at kernel/qeventloop.cpp:136
#5  0x00007f2d212ed56f in QEventLoop::exec (this=0x7f2cfe93cd60, flags=...) at kernel/qeventloop.cpp:212
#6  0x00007f2d210ca582 in QThread::exec (this=0xef04b0) at thread/qthread.cpp:511
#7  0x00007f2d29484be5 in QQmlThreadPrivate::run (this=0xef04b0) at qml/ftw/qqmlthread.cpp:149
#8  0x00007f2d210d1ab9 in QThreadPrivate::start (arg=0xef04b0) at thread/qthread_unix.cpp:345
#9  0x00007f2d20232124 in start_thread () from /usr/lib/libpthread.so.0
#10 0x00007f2d205324bd in clone () from /usr/lib/libc.so.6

Thread 32 (Thread 0x7f2cee640700 (LWP 6551)):
#0  0x00007f2d1bfca3ba in ?? () from /usr/lib/libglib-2.0.so.0
#1  0x00007f2d1bfca719 in g_mutex_lock () from /usr/lib/libglib-2.0.so.0
#2  0x00007f2d1bf88e58 in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#3  0x00007f2d21367e97 in QEventDispatcherGlib::processEvents (this=0x7f2cdc0008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:428
#4  0x00007f2d212ed28c in QEventLoop::processEvents (this=0x7f2cee63fd60, flags=...) at kernel/qeventloop.cpp:136
#5  0x00007f2d212ed56f in QEventLoop::exec (this=0x7f2cee63fd60, flags=...) at kernel/qeventloop.cpp:212
#6  0x00007f2d210ca582 in QThread::exec (this=0x110e350) at thread/qthread.cpp:511
#7  0x00007f2d29484be5 in QQmlThreadPrivate::run (this=0x110e350) at qml/ftw/qqmlthread.cpp:149
#8  0x00007f2d210d1ab9 in QThreadPrivate::start (arg=0x110e350) at thread/qthread_unix.cpp:345
#9  0x00007f2d20232124 in start_thread () from /usr/lib/libpthread.so.0
#10 0x00007f2d205324bd in clone () from /usr/lib/libc.so.6

Thread 31 (Thread 0x7f2ced59f700 (LWP 6552)):
#0  0x00007f2d1bfca3bd in ?? () from /usr/lib/libglib-2.0.so.0
#1  0x00007f2d1bfca749 in g_mutex_unlock () from /usr/lib/libglib-2.0.so.0
#2  0x00007f2d1bf88d11 in ?? () from /usr/lib/libglib-2.0.so.0
#3  0x00007f2d1bf88e6c in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#4  0x00007f2d21367e97 in QEventDispatcherGlib::processEvents (this=0x7f2ce00008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:428
#5  0x00007f2d212ed28c in QEventLoop::processEvents (this=0x7f2ced59ed60, flags=...) at kernel/qeventloop.cpp:136
#6  0x00007f2d212ed56f in QEventLoop::exec (this=0x7f2ced59ed60, flags=...) at kernel/qeventloop.cpp:212
#7  0x00007f2d210ca582 in QThread::exec (this=0x12096b0) at thread/qthread.cpp:511
#8  0x00007f2d29484be5 in QQmlThreadPrivate::run (this=0x12096b0) at qml/ftw/qqmlthread.cpp:149
#9  0x00007f2d210d1ab9 in QThreadPrivate::start (arg=0x12096b0) at thread/qthread_unix.cpp:345
#10 0x00007f2d20232124 in start_thread () from /usr/lib/libpthread.so.0
#11 0x00007f2d205324bd in clone () from /usr/lib/libc.so.6

Thread 30 (Thread 0x7f2cda7fd700 (LWP 6557)):
#0  timerSourceCheck (source=0x7f2cd0003000) at kernel/qeventdispatcher_glib.cpp:173
#1  0x00007f2d1bf887e1 in g_main_context_check () from /usr/lib/libglib-2.0.so.0
#2  0x00007f2d1bf88cfb in ?? () from /usr/lib/libglib-2.0.so.0
#3  0x00007f2d1bf88e6c in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#4  0x00007f2d21367e97 in QEventDispatcherGlib::processEvents (this=0x7f2cd00008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:428
#5  0x00007f2d212ed28c in QEventLoop::processEvents (this=0x7f2cda7fcd60, flags=...) at kernel/qeventloop.cpp:136
#6  0x00007f2d212ed56f in QEventLoop::exec (this=0x7f2cda7fcd60, flags=...) at kernel/qeventloop.cpp:212
#7  0x00007f2d210ca582 in QThread::exec (this=0x13dff10) at thread/qthread.cpp:511
#8  0x00007f2d29484be5 in QQmlThreadPrivate::run (this=0x13dff10) at qml/ftw/qqmlthread.cpp:149
#9  0x00007f2d210d1ab9 in QThreadPrivate::start (arg=0x13dff10) at thread/qthread_unix.cpp:345
#10 0x00007f2d20232124 in start_thread () from /usr/lib/libpthread.so.0
#11 0x00007f2d205324bd in clone () from /usr/lib/libc.so.6

Thread 29 (Thread 0x7f2cd97fc700 (LWP 6558)):
#0  0x00007f2d1bfca3bd in ?? () from /usr/lib/libglib-2.0.so.0
#1  0x00007f2d1bfca719 in g_mutex_lock () from /usr/lib/libglib-2.0.so.0
#2  0x00007f2d1bf88419 in g_main_context_prepare () from /usr/lib/libglib-2.0.so.0
#3  0x00007f2d1bf88c83 in ?? () from /usr/lib/libglib-2.0.so.0
#4  0x00007f2d1bf88e6c in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#5  0x00007f2d21367e97 in QEventDispatcherGlib::processEvents (this=0x7f2cc40008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:428
#6  0x00007f2d212ed28c in QEventLoop::processEvents (this=0x7f2cd97fbd60, flags=...) at kernel/qeventloop.cpp:136
#7  0x00007f2d212ed56f in QEventLoop::exec (this=0x7f2cd97fbd60, flags=...) at kernel/qeventloop.cpp:212
#8  0x00007f2d210ca582 in QThread::exec (this=0x14eba00) at thread/qthread.cpp:511
#9  0x00007f2d29484be5 in QQmlThreadPrivate::run (this=0x14eba00) at qml/ftw/qqmlthread.cpp:149
#10 0x00007f2d210d1ab9 in QThreadPrivate::start (arg=0x14eba00) at thread/qthread_unix.cpp:345
#11 0x00007f2d20232124 in start_thread () from /usr/lib/libpthread.so.0
#12 0x00007f2d205324bd in clone () from /usr/lib/libc.so.6

Thread 28 (Thread 0x7f2ccbfff700 (LWP 6559)):
#0  0x00007f2d1bfca3ba in ?? () from /usr/lib/libglib-2.0.so.0
#1  0x00007f2d1bfca719 in g_mutex_lock () from /usr/lib/libglib-2.0.so.0
#2  0x00007f2d1bf88419 in g_main_context_prepare () from /usr/lib/libglib-2.0.so.0
#3  0x00007f2d1bf88c83 in ?? () from /usr/lib/libglib-2.0.so.0
#4  0x00007f2d1bf88e6c in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#5  0x00007f2d21367e97 in QEventDispatcherGlib::processEvents (this=0x7f2cc00008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:428
#6  0x00007f2d212ed28c in QEventLoop::processEvents (this=0x7f2ccbffed60, flags=...) at kernel/qeventloop.cpp:136
#7  0x00007f2d212ed56f in QEventLoop::exec (this=0x7f2ccbffed60, flags=...) at kernel/qeventloop.cpp:212
#8  0x00007f2d210ca582 in QThread::exec (this=0x15ab330) at thread/qthread.cpp:511
#9  0x00007f2d29484be5 in QQmlThreadPrivate::run (this=0x15ab330) at qml/ftw/qqmlthread.cpp:149
#10 0x00007f2d210d1ab9 in QThreadPrivate::start (arg=0x15ab330) at thread/qthread_unix.cpp:345
#11 0x00007f2d20232124 in start_thread () from /usr/lib/libpthread.so.0
#12 0x00007f2d205324bd in clone () from /usr/lib/libc.so.6

Thread 27 (Thread 0x7f2ccaffe700 (LWP 6560)):
#0  0x00007f2d210b3cee in QBasicAtomicInteger<int>::loadAcquire (this=0x7f2d211ce7b8 <do_gettime(qint64*, qint64*)+35>) at ../../include/QtCore/../../src/corelib/thread/qbasicatomic.h:127
#1  0x00007f2d211ce718 in unixCheckClockType () at tools/qelapsedtimer_unix.cpp:133
#2  0x00007f2d211ce78b in QElapsedTimer::clockType () at tools/qelapsedtimer_unix.cpp:163
#3  0x00007f2d211ce779 in QElapsedTimer::isMonotonic () at tools/qelapsedtimer_unix.cpp:158
#4  0x00007f2d21365319 in QTimerInfoList::repairTimersIfNeeded (this=0x7f2cb8003120) at kernel/qtimerinfo_unix.cpp:163
#5  0x00007f2d213658c1 in QTimerInfoList::timerWait (this=0x7f2cb8003120, tm=...) at kernel/qtimerinfo_unix.cpp:388
#6  0x00007f2d21367283 in timerSourcePrepareHelper (src=0x7f2cb80030c0, timeout=0x7f2ccaffdac4) at kernel/qeventdispatcher_glib.cpp:135
#7  0x00007f2d2136742b in timerSourcePrepare (source=0x7f2cb80030c0, timeout=0x7f2ccaffdac4) at kernel/qeventdispatcher_glib.cpp:168
#8  0x00007f2d1bf8840d in g_main_context_prepare () from /usr/lib/libglib-2.0.so.0
#9  0x00007f2d1bf88c83 in ?? () from /usr/lib/libglib-2.0.so.0
#10 0x00007f2d1bf88e6c in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#11 0x00007f2d21367e97 in QEventDispatcherGlib::processEvents (this=0x7f2cb80008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:428
#12 0x00007f2d212ed28c in QEventLoop::processEvents (this=0x7f2ccaffdcf0, flags=...) at kernel/qeventloop.cpp:136
#13 0x00007f2d212ed56f in QEventLoop::exec (this=0x7f2ccaffdcf0, flags=...) at kernel/qeventloop.cpp:212
#14 0x00007f2d210ca582 in QThread::exec (this=0x168fba0) at thread/qthread.cpp:511
#15 0x00007f2d29a1b946 in QQuickPixmapReader::run (this=0x168fba0) at util/qquickpixmapcache.cpp:688
#16 0x00007f2d210d1ab9 in QThreadPrivate::start (arg=0x168fba0) at thread/qthread_unix.cpp:345
#17 0x00007f2d20232124 in start_thread () from /usr/lib/libpthread.so.0
#18 0x00007f2d205324bd in clone () from /usr/lib/libc.so.6

Thread 26 (Thread 0x7f2cca7fd700 (LWP 6561)):
#0  0x00007f2d2053ed00 in pthread_mutex_lock () from /usr/lib/libc.so.6
#1  0x00007f2d1bfca721 in g_mutex_lock () from /usr/lib/libglib-2.0.so.0
#2  0x00007f2d1bf88d4a in ?? () from /usr/lib/libglib-2.0.so.0
#3  0x00007f2d1bf88e6c in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#4  0x00007f2d21367e97 in QEventDispatcherGlib::processEvents (this=0x7f2cbc0008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:428
#5  0x00007f2d212ed28c in QEventLoop::processEvents (this=0x7f2cca7fcd60, flags=...) at kernel/qeventloop.cpp:136
#6  0x00007f2d212ed56f in QEventLoop::exec (this=0x7f2cca7fcd60, flags=...) at kernel/qeventloop.cpp:212
#7  0x00007f2d210ca582 in QThread::exec (this=0x16fcfc0) at thread/qthread.cpp:511
#8  0x00007f2d29484be5 in QQmlThreadPrivate::run (this=0x16fcfc0) at qml/ftw/qqmlthread.cpp:149
#9  0x00007f2d210d1ab9 in QThreadPrivate::start (arg=0x16fcfc0) at thread/qthread_unix.cpp:345
#10 0x00007f2d20232124 in start_thread () from /usr/lib/libpthread.so.0
#11 0x00007f2d205324bd in clone () from /usr/lib/libc.so.6

Thread 25 (Thread 0x7f2cc97fc700 (LWP 6562)):
#0  0x00007f2d1bfca3ba in ?? () from /usr/lib/libglib-2.0.so.0
#1  0x00007f2d1bfca749 in g_mutex_unlock () from /usr/lib/libglib-2.0.so.0
#2  0x00007f2d1bf887d9 in g_main_context_check () from /usr/lib/libglib-2.0.so.0
#3  0x00007f2d1bf88cfb in ?? () from /usr/lib/libglib-2.0.so.0
#4  0x00007f2d1bf88e6c in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#5  0x00007f2d21367e97 in QEventDispatcherGlib::processEvents (this=0x7f2cb00008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:428
#6  0x00007f2d212ed28c in QEventLoop::processEvents (this=0x7f2cc97fbd60, flags=...) at kernel/qeventloop.cpp:136
#7  0x00007f2d212ed56f in QEventLoop::exec (this=0x7f2cc97fbd60, flags=...) at kernel/qeventloop.cpp:212
#8  0x00007f2d210ca582 in QThread::exec (this=0x17b1760) at thread/qthread.cpp:511
#9  0x00007f2d29484be5 in QQmlThreadPrivate::run (this=0x17b1760) at qml/ftw/qqmlthread.cpp:149
#10 0x00007f2d210d1ab9 in QThreadPrivate::start (arg=0x17b1760) at thread/qthread_unix.cpp:345
#11 0x00007f2d20232124 in start_thread () from /usr/lib/libpthread.so.0
#12 0x00007f2d205324bd in clone () from /usr/lib/libc.so.6

Thread 24 (Thread 0x7f2cb7fff700 (LWP 6563)):
#0  0x00007f2d1bfca3bd in ?? () from /usr/lib/libglib-2.0.so.0
#1  0x00007f2d1bfca749 in g_mutex_unlock () from /usr/lib/libglib-2.0.so.0
#2  0x00007f2d1bf88d11 in ?? () from /usr/lib/libglib-2.0.so.0
#3  0x00007f2d1bf88e6c in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#4  0x00007f2d21367e97 in QEventDispatcherGlib::processEvents (this=0x7f2cac0008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:428
#5  0x00007f2d212ed28c in QEventLoop::processEvents (this=0x7f2cb7ffed60, flags=...) at kernel/qeventloop.cpp:136
#6  0x00007f2d212ed56f in QEventLoop::exec (this=0x7f2cb7ffed60, flags=...) at kernel/qeventloop.cpp:212
#7  0x00007f2d210ca582 in QThread::exec (this=0x1892400) at thread/qthread.cpp:511
#8  0x00007f2d29484be5 in QQmlThreadPrivate::run (this=0x1892400) at qml/ftw/qqmlthread.cpp:149
#9  0x00007f2d210d1ab9 in QThreadPrivate::start (arg=0x1892400) at thread/qthread_unix.cpp:345
#10 0x00007f2d20232124 in start_thread () from /usr/lib/libpthread.so.0
#11 0x00007f2d205324bd in clone () from /usr/lib/libc.so.6

Thread 23 (Thread 0x7f2cb6ffe700 (LWP 6564)):
#0  0x00007f2d1bfca3ba in ?? () from /usr/lib/libglib-2.0.so.0
#1  0x00007f2d1bfca749 in g_mutex_unlock () from /usr/lib/libglib-2.0.so.0
#2  0x00007f2d1bf887d9 in g_main_context_check () from /usr/lib/libglib-2.0.so.0
#3  0x00007f2d1bf88cfb in ?? () from /usr/lib/libglib-2.0.so.0
#4  0x00007f2d1bf88e6c in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#5  0x00007f2d21367e97 in QEventDispatcherGlib::processEvents (this=0x7f2ca40008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:428
#6  0x00007f2d212ed28c in QEventLoop::processEvents (this=0x7f2cb6ffdd60, flags=...) at kernel/qeventloop.cpp:136
#7  0x00007f2d212ed56f in QEventLoop::exec (this=0x7f2cb6ffdd60, flags=...) at kernel/qeventloop.cpp:212
#8  0x00007f2d210ca582 in QThread::exec (this=0x198ed50) at thread/qthread.cpp:511
#9  0x00007f2d29484be5 in QQmlThreadPrivate::run (this=0x198ed50) at qml/ftw/qqmlthread.cpp:149
#10 0x00007f2d210d1ab9 in QThreadPrivate::start (arg=0x198ed50) at thread/qthread_unix.cpp:345
#11 0x00007f2d20232124 in start_thread () from /usr/lib/libpthread.so.0
#12 0x00007f2d205324bd in clone () from /usr/lib/libc.so.6

Thread 22 (Thread 0x7f2cb5ffd700 (LWP 6565)):
#0  0x00007f2d1bfca3bd in ?? () from /usr/lib/libglib-2.0.so.0
#1  0x00007f2d1bfca749 in g_mutex_unlock () from /usr/lib/libglib-2.0.so.0
#2  0x00007f2d1bf88498 in g_main_context_prepare () from /usr/lib/libglib-2.0.so.0
#3  0x00007f2d1bf88c83 in ?? () from /usr/lib/libglib-2.0.so.0
#4  0x00007f2d1bf88e6c in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#5  0x00007f2d21367e97 in QEventDispatcherGlib::processEvents (this=0x7f2ca80008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:428
#6  0x00007f2d212ed28c in QEventLoop::processEvents (this=0x7f2cb5ffcd60, flags=...) at kernel/qeventloop.cpp:136
#7  0x00007f2d212ed56f in QEventLoop::exec (this=0x7f2cb5ffcd60, flags=...) at kernel/qeventloop.cpp:212
#8  0x00007f2d210ca582 in QThread::exec (this=0x1a4b360) at thread/qthread.cpp:511
#9  0x00007f2d29484be5 in QQmlThreadPrivate::run (this=0x1a4b360) at qml/ftw/qqmlthread.cpp:149
#10 0x00007f2d210d1ab9 in QThreadPrivate::start (arg=0x1a4b360) at thread/qthread_unix.cpp:345
#11 0x00007f2d20232124 in start_thread () from /usr/lib/libpthread.so.0
#12 0x00007f2d205324bd in clone () from /usr/lib/libc.so.6

Thread 21 (Thread 0x7f2cb4ffc700 (LWP 6566)):
#0  0x00007f2d2052981d in poll () from /usr/lib/libc.so.6
#1  0x00007f2d1bf88d64 in ?? () from /usr/lib/libglib-2.0.so.0
#2  0x00007f2d1bf88e6c in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#3  0x00007f2d21367e97 in QEventDispatcherGlib::processEvents (this=0x7f2c9c0008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:428
#4  0x00007f2d212ed28c in QEventLoop::processEvents (this=0x7f2cb4ffbd60, flags=...) at kernel/qeventloop.cpp:136
#5  0x00007f2d212ed56f in QEventLoop::exec (this=0x7f2cb4ffbd60, flags=...) at kernel/qeventloop.cpp:212
#6  0x00007f2d210ca582 in QThread::exec (this=0x1b497c0) at thread/qthread.cpp:511
#7  0x00007f2d29484be5 in QQmlThreadPrivate::run (this=0x1b497c0) at qml/ftw/qqmlthread.cpp:149
#8  0x00007f2d210d1ab9 in QThreadPrivate::start (arg=0x1b497c0) at thread/qthread_unix.cpp:345
#9  0x00007f2d20232124 in start_thread () from /usr/lib/libpthread.so.0
#10 0x00007f2d205324bd in clone () from /usr/lib/libc.so.6

Thread 20 (Thread 0x7f2ca37ff700 (LWP 6567)):
#0  QBasicAtomicInteger<int>::loadAcquire (this=0x7f2d217d5604 <unixCheckClockType()::clockToUse>) at ../../include/QtCore/../../src/corelib/thread/qbasicatomic.h:127
#1  0x00007f2d211ce718 in unixCheckClockType () at tools/qelapsedtimer_unix.cpp:133
#2  0x00007f2d211ce7aa in do_gettime (sec=0x7f2ca37fe9e8, frac=0x7f2ca37fe9e0) at tools/qelapsedtimer_unix.cpp:169
#3  0x00007f2d211ce7eb in qt_gettime () at tools/qelapsedtimer_unix.cpp:178
#4  0x00007f2d2136502c in QTimerInfoList::updateCurrentTime (this=0x7f2c98002d20) at kernel/qtimerinfo_unix.cpp:92
#5  0x00007f2d213658ad in QTimerInfoList::timerWait (this=0x7f2c98002d20, tm=...) at kernel/qtimerinfo_unix.cpp:387
#6  0x00007f2d21367283 in timerSourcePrepareHelper (src=0x7f2c98002cc0, timeout=0x7f2ca37feb34) at kernel/qeventdispatcher_glib.cpp:135
#7  0x00007f2d2136742b in timerSourcePrepare (source=0x7f2c98002cc0, timeout=0x7f2ca37feb34) at kernel/qeventdispatcher_glib.cpp:168
#8  0x00007f2d1bf8840d in g_main_context_prepare () from /usr/lib/libglib-2.0.so.0
#9  0x00007f2d1bf88c83 in ?? () from /usr/lib/libglib-2.0.so.0
#10 0x00007f2d1bf88e6c in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#11 0x00007f2d21367e97 in QEventDispatcherGlib::processEvents (this=0x7f2c980008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:428
#12 0x00007f2d212ed28c in QEventLoop::processEvents (this=0x7f2ca37fed60, flags=...) at kernel/qeventloop.cpp:136
#13 0x00007f2d212ed56f in QEventLoop::exec (this=0x7f2ca37fed60, flags=...) at kernel/qeventloop.cpp:212
#14 0x00007f2d210ca582 in QThread::exec (this=0x1c0bf10) at thread/qthread.cpp:511
#15 0x00007f2d29484be5 in QQmlThreadPrivate::run (this=0x1c0bf10) at qml/ftw/qqmlthread.cpp:149
#16 0x00007f2d210d1ab9 in QThreadPrivate::start (arg=0x1c0bf10) at thread/qthread_unix.cpp:345
#17 0x00007f2d20232124 in start_thread () from /usr/lib/libpthread.so.0
#18 0x00007f2d205324bd in clone () from /usr/lib/libc.so.6

Thread 19 (Thread 0x7f2ca27fe700 (LWP 6568)):
#0  0x00007f2d1bfca3ba in ?? () from /usr/lib/libglib-2.0.so.0
#1  0x00007f2d1bfca749 in g_mutex_unlock () from /usr/lib/libglib-2.0.so.0
#2  0x00007f2d1bf88400 in g_main_context_prepare () from /usr/lib/libglib-2.0.so.0
#3  0x00007f2d1bf88c83 in ?? () from /usr/lib/libglib-2.0.so.0
#4  0x00007f2d1bf88e6c in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#5  0x00007f2d21367e97 in QEventDispatcherGlib::processEvents (this=0x7f2c900008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:428
#6  0x00007f2d212ed28c in QEventLoop::processEvents (this=0x7f2ca27fdd60, flags=...) at kernel/qeventloop.cpp:136
#7  0x00007f2d212ed56f in QEventLoop::exec (this=0x7f2ca27fdd60, flags=...) at kernel/qeventloop.cpp:212
#8  0x00007f2d210ca582 in QThread::exec (this=0x1cdfbc0) at thread/qthread.cpp:511
#9  0x00007f2d29484be5 in QQmlThreadPrivate::run (this=0x1cdfbc0) at qml/ftw/qqmlthread.cpp:149
#10 0x00007f2d210d1ab9 in QThreadPrivate::start (arg=0x1cdfbc0) at thread/qthread_unix.cpp:345
#11 0x00007f2d20232124 in start_thread () from /usr/lib/libpthread.so.0
#12 0x00007f2d205324bd in clone () from /usr/lib/libc.so.6

Thread 18 (Thread 0x7f2ca17fd700 (LWP 6569)):
#0  0x00007f2d1bfca3ba in ?? () from /usr/lib/libglib-2.0.so.0
#1  0x00007f2d1bfca749 in g_mutex_unlock () from /usr/lib/libglib-2.0.so.0
#2  0x00007f2d1bf88c76 in ?? () from /usr/lib/libglib-2.0.so.0
#3  0x00007f2d1bf88e6c in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#4  0x00007f2d21367e97 in QEventDispatcherGlib::processEvents (this=0x7f2c940008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:428
#5  0x00007f2d212ed28c in QEventLoop::processEvents (this=0x7f2ca17fcd60, flags=...) at kernel/qeventloop.cpp:136
#6  0x00007f2d212ed56f in QEventLoop::exec (this=0x7f2ca17fcd60, flags=...) at kernel/qeventloop.cpp:212
#7  0x00007f2d210ca582 in QThread::exec (this=0x1dbbc80) at thread/qthread.cpp:511
#8  0x00007f2d29484be5 in QQmlThreadPrivate::run (this=0x1dbbc80) at qml/ftw/qqmlthread.cpp:149
#9  0x00007f2d210d1ab9 in QThreadPrivate::start (arg=0x1dbbc80) at thread/qthread_unix.cpp:345
#10 0x00007f2d20232124 in start_thread () from /usr/lib/libpthread.so.0
#11 0x00007f2d205324bd in clone () from /usr/lib/libc.so.6

Thread 17 (Thread 0x7f2cdbfff700 (LWP 6575)):
#0  0x00007fffb9d4570c in ?? ()
#1  0x00007f2cdbffe960 in ?? ()
#2  0x00007fffb9d45af9 in ?? ()
#3  0x00007f2cdbffe9b0 in ?? ()
#4  0x00000001217d5604 in ?? ()
#5  0x00007f2cd40011e0 in ?? ()
#6  0x00007f2cdbffeb38 in ?? ()
#7  0x0000000000000000 in ?? ()

Thread 16 (Thread 0x7f2cdaffe700 (LWP 6576)):
#0  0x00007f2d202349d1 in pthread_mutex_lock () from /usr/lib/libpthread.so.0
#1  0x00007f2d1bfca721 in g_mutex_lock () from /usr/lib/libglib-2.0.so.0
#2  0x00007f2d1bf887ec in g_main_context_check () from /usr/lib/libglib-2.0.so.0
#3  0x00007f2d1bf88cfb in ?? () from /usr/lib/libglib-2.0.so.0
#4  0x00007f2d1bf88e6c in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#5  0x00007f2d21367e97 in QEventDispatcherGlib::processEvents (this=0x7f2ccc003640, flags=...) at kernel/qeventdispatcher_glib.cpp:428
#6  0x00007f2d212ed28c in QEventLoop::processEvents (this=0x7f2cdaffdcf0, flags=...) at kernel/qeventloop.cpp:136
#7  0x00007f2d212ed56f in QEventLoop::exec (this=0x7f2cdaffdcf0, flags=...) at kernel/qeventloop.cpp:212
#8  0x00007f2d210ca582 in QThread::exec (this=0x13a15e0) at thread/qthread.cpp:511
#9  0x00007f2d29a1b946 in QQuickPixmapReader::run (this=0x13a15e0) at util/qquickpixmapcache.cpp:688
#10 0x00007f2d210d1ab9 in QThreadPrivate::start (arg=0x13a15e0) at thread/qthread_unix.cpp:345
#11 0x00007f2d20232124 in start_thread () from /usr/lib/libpthread.so.0
#12 0x00007f2d205324bd in clone () from /usr/lib/libc.so.6

Thread 15 (Thread 0x7f2c0ffff700 (LWP 6577)):
#0  0x00007f2d1bfca3bd in ?? () from /usr/lib/libglib-2.0.so.0
#1  0x00007f2d1bfca749 in g_mutex_unlock () from /usr/lib/libglib-2.0.so.0
#2  0x00007f2d1bf88d59 in ?? () from /usr/lib/libglib-2.0.so.0
#3  0x00007f2d1bf88e6c in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#4  0x00007f2d21367e97 in QEventDispatcherGlib::processEvents (this=0x7f2c080008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:428
#5  0x00007f2d212ed28c in QEventLoop::processEvents (this=0x7f2c0fffed60, flags=...) at kernel/qeventloop.cpp:136
#6  0x00007f2d212ed56f in QEventLoop::exec (this=0x7f2c0fffed60, flags=...) at kernel/qeventloop.cpp:212
#7  0x00007f2d210ca582 in QThread::exec (this=0x2039150) at thread/qthread.cpp:511
#8  0x00007f2d29484be5 in QQmlThreadPrivate::run (this=0x2039150) at qml/ftw/qqmlthread.cpp:149
#9  0x00007f2d210d1ab9 in QThreadPrivate::start (arg=0x2039150) at thread/qthread_unix.cpp:345
#10 0x00007f2d20232124 in start_thread () from /usr/lib/libpthread.so.0
#11 0x00007f2d205324bd in clone () from /usr/lib/libc.so.6

Thread 14 (Thread 0x7f2c0effe700 (LWP 6578)):
#0  0x00007f2d1bfca3ba in ?? () from /usr/lib/libglib-2.0.so.0
#1  0x00007f2d1bfca719 in g_mutex_lock () from /usr/lib/libglib-2.0.so.0
#2  0x00007f2d1bf887ec in g_main_context_check () from /usr/lib/libglib-2.0.so.0
#3  0x00007f2d1bf88cfb in ?? () from /usr/lib/libglib-2.0.so.0
#4  0x00007f2d1bf88e6c in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#5  0x00007f2d21367e97 in QEventDispatcherGlib::processEvents (this=0x7f2c000008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:428
#6  0x00007f2d212ed28c in QEventLoop::processEvents (this=0x7f2c0effdd60, flags=...) at kernel/qeventloop.cpp:136
#7  0x00007f2d212ed56f in QEventLoop::exec (this=0x7f2c0effdd60, flags=...) at kernel/qeventloop.cpp:212
#8  0x00007f2d210ca582 in QThread::exec (this=0x214c4e0) at thread/qthread.cpp:511
#9  0x00007f2d29484be5 in QQmlThreadPrivate::run (this=0x214c4e0) at qml/ftw/qqmlthread.cpp:149
#10 0x00007f2d210d1ab9 in QThreadPrivate::start (arg=0x214c4e0) at thread/qthread_unix.cpp:345
#11 0x00007f2d20232124 in start_thread () from /usr/lib/libpthread.so.0
#12 0x00007f2d205324bd in clone () from /usr/lib/libc.so.6

Thread 13 (Thread 0x7f2c0dffd700 (LWP 6579)):
#0  0x00007f2d1bfca740 in g_mutex_unlock () from /usr/lib/libglib-2.0.so.0
#1  0x00007f2d1bf887d9 in g_main_context_check () from /usr/lib/libglib-2.0.so.0
#2  0x00007f2d1bf88cfb in ?? () from /usr/lib/libglib-2.0.so.0
#3  0x00007f2d1bf88e6c in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#4  0x00007f2d21367e97 in QEventDispatcherGlib::processEvents (this=0x7f2c040008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:428
#5  0x00007f2d212ed28c in QEventLoop::processEvents (this=0x7f2c0dffcd60, flags=...) at kernel/qeventloop.cpp:136
#6  0x00007f2d212ed56f in QEventLoop::exec (this=0x7f2c0dffcd60, flags=...) at kernel/qeventloop.cpp:212
#7  0x00007f2d210ca582 in QThread::exec (this=0x3ba86b0) at thread/qthread.cpp:511
#8  0x00007f2d29484be5 in QQmlThreadPrivate::run (this=0x3ba86b0) at qml/ftw/qqmlthread.cpp:149
#9  0x00007f2d210d1ab9 in QThreadPrivate::start (arg=0x3ba86b0) at thread/qthread_unix.cpp:345
#10 0x00007f2d20232124 in start_thread () from /usr/lib/libpthread.so.0
#11 0x00007f2d205324bd in clone () from /usr/lib/libc.so.6

Thread 12 (Thread 0x7f2bffba4700 (LWP 6580)):
#0  0x00007f2d1bf883b8 in g_main_context_prepare () from /usr/lib/libglib-2.0.so.0
#1  0x00007f2d1bf88c83 in ?? () from /usr/lib/libglib-2.0.so.0
#2  0x00007f2d1bf88e6c in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#3  0x00007f2d21367e97 in QEventDispatcherGlib::processEvents (this=0x7f2bf80008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:428
#4  0x00007f2d212ed28c in QEventLoop::processEvents (this=0x7f2bffba3d60, flags=...) at kernel/qeventloop.cpp:136
#5  0x00007f2d212ed56f in QEventLoop::exec (this=0x7f2bffba3d60, flags=...) at kernel/qeventloop.cpp:212
#6  0x00007f2d210ca582 in QThread::exec (this=0xe70550) at thread/qthread.cpp:511
#7  0x00007f2d29484be5 in QQmlThreadPrivate::run (this=0xe70550) at qml/ftw/qqmlthread.cpp:149
#8  0x00007f2d210d1ab9 in QThreadPrivate::start (arg=0xe70550) at thread/qthread_unix.cpp:345
#9  0x00007f2d20232124 in start_thread () from /usr/lib/libpthread.so.0
#10 0x00007f2d205324bd in clone () from /usr/lib/libc.so.6

Thread 11 (Thread 0x7f2bfeba3700 (LWP 6581)):
#0  0x00007f2d202349c7 in pthread_mutex_lock () from /usr/lib/libpthread.so.0
#1  0x00007f2d1bfca721 in g_mutex_lock () from /usr/lib/libglib-2.0.so.0
#2  0x00007f2d1bf88946 in g_main_context_dispatch () from /usr/lib/libglib-2.0.so.0
#3  0x00007f2d1bf88dc8 in ?? () from /usr/lib/libglib-2.0.so.0
#4  0x00007f2d1bf88e6c in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#5  0x00007f2d21367e97 in QEventDispatcherGlib::processEvents (this=0x7f2bf00008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:428
#6  0x00007f2d212ed28c in QEventLoop::processEvents (this=0x7f2bfeba2d60, flags=...) at kernel/qeventloop.cpp:136
#7  0x00007f2d212ed56f in QEventLoop::exec (this=0x7f2bfeba2d60, flags=...) at kernel/qeventloop.cpp:212
#8  0x00007f2d210ca582 in QThread::exec (this=0x3f86e50) at thread/qthread.cpp:511
#9  0x00007f2d29484be5 in QQmlThreadPrivate::run (this=0x3f86e50) at qml/ftw/qqmlthread.cpp:149
#10 0x00007f2d210d1ab9 in QThreadPrivate::start (arg=0x3f86e50) at thread/qthread_unix.cpp:345
#11 0x00007f2d20232124 in start_thread () from /usr/lib/libpthread.so.0
#12 0x00007f2d205324bd in clone () from /usr/lib/libc.so.6

Thread 10 (Thread 0x7f2bfdba2700 (LWP 6582)):
#0  0x00007f2d20235f33 in __pthread_mutex_unlock_usercnt () from /usr/lib/libpthread.so.0
#1  0x00007f2d1bfca751 in g_mutex_unlock () from /usr/lib/libglib-2.0.so.0
#2  0x00007f2d1bf88400 in g_main_context_prepare () from /usr/lib/libglib-2.0.so.0
#3  0x00007f2d1bf88c83 in ?? () from /usr/lib/libglib-2.0.so.0
#4  0x00007f2d1bf88e6c in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#5  0x00007f2d21367e97 in QEventDispatcherGlib::processEvents (this=0x7f2bf40008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:428
#6  0x00007f2d212ed28c in QEventLoop::processEvents (this=0x7f2bfdba1d60, flags=...) at kernel/qeventloop.cpp:136
#7  0x00007f2d212ed56f in QEventLoop::exec (this=0x7f2bfdba1d60, flags=...) at kernel/qeventloop.cpp:212
#8  0x00007f2d210ca582 in QThread::exec (this=0x407bf30) at thread/qthread.cpp:511
#9  0x00007f2d29484be5 in QQmlThreadPrivate::run (this=0x407bf30) at qml/ftw/qqmlthread.cpp:149
#10 0x00007f2d210d1ab9 in QThreadPrivate::start (arg=0x407bf30) at thread/qthread_unix.cpp:345
#11 0x00007f2d20232124 in start_thread () from /usr/lib/libpthread.so.0
#12 0x00007f2d205324bd in clone () from /usr/lib/libc.so.6

Thread 9 (Thread 0x7f2bfcb51700 (LWP 6583)):
#0  0x00007f2d20234937 in pthread_mutex_lock () from /usr/lib/libpthread.so.0
#1  0x00007f2d1bfca721 in g_mutex_lock () from /usr/lib/libglib-2.0.so.0
#2  0x00007f2d1bf87f78 in g_main_context_release () from /usr/lib/libglib-2.0.so.0
#3  0x00007f2d1bf88d11 in ?? () from /usr/lib/libglib-2.0.so.0
#4  0x00007f2d1bf88e6c in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#5  0x00007f2d21367e97 in QEventDispatcherGlib::processEvents (this=0x7f2be80008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:428
#6  0x00007f2d212ed28c in QEventLoop::processEvents (this=0x7f2bfcb50d60, flags=...) at kernel/qeventloop.cpp:136
#7  0x00007f2d212ed56f in QEventLoop::exec (this=0x7f2bfcb50d60, flags=...) at kernel/qeventloop.cpp:212
#8  0x00007f2d210ca582 in QThread::exec (this=0x4137cf0) at thread/qthread.cpp:511
#9  0x00007f2d29484be5 in QQmlThreadPrivate::run (this=0x4137cf0) at qml/ftw/qqmlthread.cpp:149
#10 0x00007f2d210d1ab9 in QThreadPrivate::start (arg=0x4137cf0) at thread/qthread_unix.cpp:345
#11 0x00007f2d20232124 in start_thread () from /usr/lib/libpthread.so.0
#12 0x00007f2d205324bd in clone () from /usr/lib/libc.so.6

Thread 8 (Thread 0x7f2bef7ff700 (LWP 6584)):
#0  0x00007f2d2052981d in poll () from /usr/lib/libc.so.6
#1  0x00007f2d1bf88d64 in ?? () from /usr/lib/libglib-2.0.so.0
#2  0x00007f2d1bf88e6c in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#3  0x00007f2d21367e97 in QEventDispatcherGlib::processEvents (this=0x42300f0, flags=...) at kernel/qeventdispatcher_glib.cpp:428
#4  0x00007f2d212ed28c in QEventLoop::processEvents (this=0x7f2bef7fed60, flags=...) at kernel/qeventloop.cpp:136
#5  0x00007f2d212ed56f in QEventLoop::exec (this=0x7f2bef7fed60, flags=...) at kernel/qeventloop.cpp:212
#6  0x00007f2d210ca582 in QThread::exec (this=0x42177b0) at thread/qthread.cpp:511
#7  0x00007f2d29484be5 in QQmlThreadPrivate::run (this=0x42177b0) at qml/ftw/qqmlthread.cpp:149
#8  0x00007f2d210d1ab9 in QThreadPrivate::start (arg=0x42177b0) at thread/qthread_unix.cpp:345
#9  0x00007f2d20232124 in start_thread () from /usr/lib/libpthread.so.0
#10 0x00007f2d205324bd in clone () from /usr/lib/libc.so.6

Thread 7 (Thread 0x7f2bee7fe700 (LWP 6585)):
#0  0x00007f2d20235f33 in __pthread_mutex_unlock_usercnt () from /usr/lib/libpthread.so.0
#1  0x00007f2d1bfca751 in g_mutex_unlock () from /usr/lib/libglib-2.0.so.0
#2  0x00007f2d1bf887d9 in g_main_context_check () from /usr/lib/libglib-2.0.so.0
#3  0x00007f2d1bf88cfb in ?? () from /usr/lib/libglib-2.0.so.0
#4  0x00007f2d1bf88e6c in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#5  0x00007f2d21367e97 in QEventDispatcherGlib::processEvents (this=0x7f2be8003370, flags=...) at kernel/qeventdispatcher_glib.cpp:428
#6  0x00007f2d212ed28c in QEventLoop::processEvents (this=0x7f2bee7fdd60, flags=...) at kernel/qeventloop.cpp:136
#7  0x00007f2d212ed56f in QEventLoop::exec (this=0x7f2bee7fdd60, flags=...) at kernel/qeventloop.cpp:212
#8  0x00007f2d210ca582 in QThread::exec (this=0x42ef4b0) at thread/qthread.cpp:511
#9  0x00007f2d29484be5 in QQmlThreadPrivate::run (this=0x42ef4b0) at qml/ftw/qqmlthread.cpp:149
#10 0x00007f2d210d1ab9 in QThreadPrivate::start (arg=0x42ef4b0) at thread/qthread_unix.cpp:345
#11 0x00007f2d20232124 in start_thread () from /usr/lib/libpthread.so.0
#12 0x00007f2d205324bd in clone () from /usr/lib/libc.so.6

Thread 6 (Thread 0x7f2be7fff700 (LWP 6586)):
#0  0x00007f2d20237965 in pthread_getspecific () from /usr/lib/libpthread.so.0
#1  0x00007f2d1bfae130 in g_thread_self () from /usr/lib/libglib-2.0.so.0
#2  0x00007f2d1bf88e5d in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#3  0x00007f2d21367e97 in QEventDispatcherGlib::processEvents (this=0x7f2bf4002f70, flags=...) at kernel/qeventdispatcher_glib.cpp:428
#4  0x00007f2d212ed28c in QEventLoop::processEvents (this=0x7f2be7ffed60, flags=...) at kernel/qeventloop.cpp:136
#5  0x00007f2d212ed56f in QEventLoop::exec (this=0x7f2be7ffed60, flags=...) at kernel/qeventloop.cpp:212
#6  0x00007f2d210ca582 in QThread::exec (this=0x449c7c0) at thread/qthread.cpp:511
#7  0x00007f2d29484be5 in QQmlThreadPrivate::run (this=0x449c7c0) at qml/ftw/qqmlthread.cpp:149
#8  0x00007f2d210d1ab9 in QThreadPrivate::start (arg=0x449c7c0) at thread/qthread_unix.cpp:345
#9  0x00007f2d20232124 in start_thread () from /usr/lib/libpthread.so.0
#10 0x00007f2d205324bd in clone () from /usr/lib/libc.so.6

Thread 5 (Thread 0x7f2be6ffe700 (LWP 6587)):
#0  0x00007f2d1bfca710 in g_mutex_lock () from /usr/lib/libglib-2.0.so.0
#1  0x00007f2d1bf88419 in g_main_context_prepare () from /usr/lib/libglib-2.0.so.0
#2  0x00007f2d1bf88c83 in ?? () from /usr/lib/libglib-2.0.so.0
#3  0x00007f2d1bf88e6c in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#4  0x00007f2d21367e97 in QEventDispatcherGlib::processEvents (this=0x7f2bf0059510, flags=...) at kernel/qeventdispatcher_glib.cpp:428
#5  0x00007f2d212ed28c in QEventLoop::processEvents (this=0x7f2be6ffdd60, flags=...) at kernel/qeventloop.cpp:136
#6  0x00007f2d212ed56f in QEventLoop::exec (this=0x7f2be6ffdd60, flags=...) at kernel/qeventloop.cpp:212
#7  0x00007f2d210ca582 in QThread::exec (this=0x4602dd0) at thread/qthread.cpp:511
#8  0x00007f2d29484be5 in QQmlThreadPrivate::run (this=0x4602dd0) at qml/ftw/qqmlthread.cpp:149
#9  0x00007f2d210d1ab9 in QThreadPrivate::start (arg=0x4602dd0) at thread/qthread_unix.cpp:345
#10 0x00007f2d20232124 in start_thread () from /usr/lib/libpthread.so.0
#11 0x00007f2d205324bd in clone () from /usr/lib/libc.so.6

Thread 4 (Thread 0x7f2cfd88c700 (LWP 6590)):
#0  0x00007f2d1bfca3ba in ?? () from /usr/lib/libglib-2.0.so.0
#1  0x00007f2d1bfca749 in g_mutex_unlock () from /usr/lib/libglib-2.0.so.0
#2  0x00007f2d1bf88400 in g_main_context_prepare () from /usr/lib/libglib-2.0.so.0
#3  0x00007f2d1bf88c83 in ?? () from /usr/lib/libglib-2.0.so.0
#4  0x00007f2d1bf88e6c in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#5  0x00007f2d21367e97 in QEventDispatcherGlib::processEvents (this=0x7f2ce8032da0, flags=...) at kernel/qeventdispatcher_glib.cpp:428
#6  0x00007f2d212ed28c in QEventLoop::processEvents (this=0x7f2cfd88bd60, flags=...) at kernel/qeventloop.cpp:136
#7  0x00007f2d212ed56f in QEventLoop::exec (this=0x7f2cfd88bd60, flags=...) at kernel/qeventloop.cpp:212
#8  0x00007f2d210ca582 in QThread::exec (this=0x10962d0) at thread/qthread.cpp:511
#9  0x00007f2d29484be5 in QQmlThreadPrivate::run (this=0x10962d0) at qml/ftw/qqmlthread.cpp:149
#10 0x00007f2d210d1ab9 in QThreadPrivate::start (arg=0x10962d0) at thread/qthread_unix.cpp:345
#11 0x00007f2d20232124 in start_thread () from /usr/lib/libpthread.so.0
#12 0x00007f2d205324bd in clone () from /usr/lib/libc.so.6

Thread 3 (Thread 0x7f2cef686700 (LWP 6591)):
#0  0x00007f2d210a616d in QListData::end (this=0x7f2ce4003120) at ../../include/QtCore/../../src/corelib/tools/qlist.h:100
#1  0x00007f2d213665bc in QList<QTimerInfo*>::constEnd (this=0x7f2ce4003120) at ../../include/QtCore/../../src/corelib/tools/qlist.h:284
#2  0x00007f2d2136592f in QTimerInfoList::timerWait (this=0x7f2ce4003120, tm=...) at kernel/qtimerinfo_unix.cpp:392
#3  0x00007f2d21367283 in timerSourcePrepareHelper (src=0x7f2ce40030c0, timeout=0x7f2cef685ac4) at kernel/qeventdispatcher_glib.cpp:135
#4  0x00007f2d2136742b in timerSourcePrepare (source=0x7f2ce40030c0, timeout=0x7f2cef685ac4) at kernel/qeventdispatcher_glib.cpp:168
#5  0x00007f2d1bf8840d in g_main_context_prepare () from /usr/lib/libglib-2.0.so.0
#6  0x00007f2d1bf88c83 in ?? () from /usr/lib/libglib-2.0.so.0
#7  0x00007f2d1bf88e6c in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#8  0x00007f2d21367e97 in QEventDispatcherGlib::processEvents (this=0x7f2ce40008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:428
#9  0x00007f2d212ed28c in QEventLoop::processEvents (this=0x7f2cef685cf0, flags=...) at kernel/qeventloop.cpp:136
#10 0x00007f2d212ed56f in QEventLoop::exec (this=0x7f2cef685cf0, flags=...) at kernel/qeventloop.cpp:212
#11 0x00007f2d210ca582 in QThread::exec (this=0xe175e0) at thread/qthread.cpp:511
#12 0x00007f2d29a1b946 in QQuickPixmapReader::run (this=0xe175e0) at util/qquickpixmapcache.cpp:688
#13 0x00007f2d210d1ab9 in QThreadPrivate::start (arg=0xe175e0) at thread/qthread_unix.cpp:345
#14 0x00007f2d20232124 in start_thread () from /usr/lib/libpthread.so.0
#15 0x00007f2d205324bd in clone () from /usr/lib/libc.so.6

Thread 2 (Thread 0x7f2be3ec2700 (LWP 6592)):
#0  0x00007f2d2052981d in poll () from /usr/lib/libc.so.6
#1  0x00007f2d1bf88d64 in ?? () from /usr/lib/libglib-2.0.so.0
#2  0x00007f2d1bf88e6c in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#3  0x00007f2d21367e97 in QEventDispatcherGlib::processEvents (this=0x7f2bf8003370, flags=...) at kernel/qeventdispatcher_glib.cpp:428
#4  0x00007f2d212ed28c in QEventLoop::processEvents (this=0x7f2be3ec1d60, flags=...) at kernel/qeventloop.cpp:136
#5  0x00007f2d212ed56f in QEventLoop::exec (this=0x7f2be3ec1d60, flags=...) at kernel/qeventloop.cpp:212
#6  0x00007f2d210ca582 in QThread::exec (this=0x49fce40) at thread/qthread.cpp:511
#7  0x00007f2d29484be5 in QQmlThreadPrivate::run (this=0x49fce40) at qml/ftw/qqmlthread.cpp:149
#8  0x00007f2d210d1ab9 in QThreadPrivate::start (arg=0x49fce40) at thread/qthread_unix.cpp:345
#9  0x00007f2d20232124 in start_thread () from /usr/lib/libpthread.so.0
#10 0x00007f2d205324bd in clone () from /usr/lib/libc.so.6

Thread 1 (Thread 0x7f2d2a17a800 (LWP 6540)):
[KCrash Handler]
#6  0x00007f2d293f395c in QQmlContext::isValid (this=0x3c7b0f0) at qml/qqmlcontext.cpp:231
#7  0x00007f2d294cd5de in QQmlDelegateModelPrivate::emitChanges (this=0x3c84de0) at types/qqmldelegatemodel.cpp:1412
#8  0x00007f2d294cc66e in QQmlDelegateModel::_q_itemsInserted (this=0x3c7bae0, index=2, count=1) at types/qqmldelegatemodel.cpp:1232
#9  0x00007f2d294cda76 in QQmlDelegateModel::_q_rowsInserted (this=0x3c7bae0, parent=..., begin=2, end=2) at types/qqmldelegatemodel.cpp:1472
#10 0x00007f2d29500c4c in QQmlDelegateModel::qt_static_metacall (_o=0x3c7bae0, _c=QMetaObject::InvokeMetaMethod, _id=8, _a=0x7fffb9c83210) at .moc/moc_qqmldelegatemodel_p.cpp:197
#11 0x00007f2d29501113 in QQmlDelegateModel::qt_metacall (this=0x3c7bae0, _c=QMetaObject::InvokeMetaMethod, _id=8, _a=0x7fffb9c83210) at .moc/moc_qqmldelegatemodel_p.cpp:292
#12 0x00007f2d212f9089 in QMetaObject::metacall (object=0x3c7bae0, cl=QMetaObject::InvokeMetaMethod, idx=18, argv=0x7fffb9c83210) at kernel/qmetaobject.cpp:308
#13 0x00007f2d21332907 in QMetaObject::activate (sender=0x3c792b0, signalOffset=3, local_signal_index=10, argv=0x7fffb9c83210) at kernel/qobject.cpp:3695
#14 0x00007f2d2133203c in QMetaObject::activate (sender=0x3c792b0, m=0x7f2d217d2720 <QAbstractItemModel::staticMetaObject>, local_signal_index=10, argv=0x7fffb9c83210) at kernel/qobject.cpp:3546
#15 0x00007f2d213c160b in QAbstractItemModel::rowsInserted (this=0x3c792b0, _t1=..., _t2=2, _t3=2) at .moc/moc_qabstractitemmodel.cpp:427
#16 0x00007f2d21293de1 in QAbstractItemModel::endInsertRows (this=0x3c792b0) at itemmodels/qabstractitemmodel.cpp:2622
#17 0x00007f2c0cdc857b in TaskManager::TasksModelPrivate::itemAdded(TaskManager::AbstractGroupableItem*) () from /opt/kde5/lib64/libtaskmanager.so.5
#18 0x00007f2c0cdc8cd8 in TaskManager::TasksModel::qt_static_metacall(QObject*, QMetaObject::Call, int, void**) () from /opt/kde5/lib64/libtaskmanager.so.5
#19 0x00007f2d2133282e in QMetaObject::activate (sender=0x3c6db40, signalOffset=5, local_signal_index=1, argv=0x7fffb9c83540) at kernel/qobject.cpp:3680
#20 0x00007f2d2133203c in QMetaObject::activate (sender=0x3c6db40, m=0x7f2c0cff86e0 <TaskManager::TaskGroup::staticMetaObject>, local_signal_index=1, argv=0x7fffb9c83540) at kernel/qobject.cpp:3546
#21 0x00007f2c0cdbb319 in TaskManager::TaskGroup::itemAdded(TaskManager::AbstractGroupableItem*) () from /opt/kde5/lib64/libtaskmanager.so.5
#22 0x00007f2c0cdb87fc in TaskManager::TaskGroup::add(TaskManager::AbstractGroupableItem*, int) () from /opt/kde5/lib64/libtaskmanager.so.5
#23 0x00007f2c0cd8c4f6 in TaskManager::AbstractGroupingStrategy::destroy() () from /opt/kde5/lib64/libtaskmanager.so.5
#24 0x00007f2c0cd8c32e in TaskManager::AbstractGroupingStrategy::~AbstractGroupingStrategy() () from /opt/kde5/lib64/libtaskmanager.so.5
#25 0x00007f2c0cda9803 in TaskManager::ProgramGroupingStrategy::~ProgramGroupingStrategy() () from /opt/kde5/lib64/libtaskmanager.so.5
#26 0x00007f2c0cda9832 in TaskManager::ProgramGroupingStrategy::~ProgramGroupingStrategy() () from /opt/kde5/lib64/libtaskmanager.so.5
#27 0x00007f2c0cd9000f in TaskManager::GroupManager::~GroupManager() () from /opt/kde5/lib64/libtaskmanager.so.5
#28 0x00007f2c0cd9007c in TaskManager::GroupManager::~GroupManager() () from /opt/kde5/lib64/libtaskmanager.so.5
#29 0x00007f2d2132d3ba in QObjectPrivate::deleteChildren (this=0x3c6a4b0) at kernel/qobject.cpp:1935
#30 0x00007f2d2132baf6 in QObject::~QObject (this=0x3c6a0a0, __in_chrg=<optimized out>) at kernel/qobject.cpp:1028
#31 0x00007f2ca01ecb12 in Backend::~Backend() () from /opt/kde5/lib64/qml/org/kde/plasma/private/taskmanager/libtaskmanagerplugin.so
#32 0x00007f2ca01f201e in QQmlPrivate::QQmlElement<Backend>::~QQmlElement() () from /opt/kde5/lib64/qml/org/kde/plasma/private/taskmanager/libtaskmanagerplugin.so
#33 0x00007f2ca01f204e in QQmlPrivate::QQmlElement<Backend>::~QQmlElement() () from /opt/kde5/lib64/qml/org/kde/plasma/private/taskmanager/libtaskmanagerplugin.so
#34 0x00007f2d2132d3ba in QObjectPrivate::deleteChildren (this=0x3c68ee0) at kernel/qobject.cpp:1935
#35 0x00007f2d2132baf6 in QObject::~QObject (this=0x3c68eb0, __in_chrg=<optimized out>) at kernel/qobject.cpp:1028
#36 0x00007f2d29ac58d3 in QQuickItem::~QQuickItem (this=0x3c68eb0, __in_chrg=<optimized out>) at items/qquickitem.cpp:2066
#37 0x00007f2d29b33f6b in QQmlPrivate::QQmlElement<QQuickItem>::~QQmlElement (this=0x3c68eb0, __in_chrg=<optimized out>) at ../../include/QtQml/../../src/qml/qml/qqmlprivate.h:106
#38 0x00007f2d29b33fa4 in QQmlPrivate::QQmlElement<QQuickItem>::~QQmlElement (this=0x3c68eb0, __in_chrg=<optimized out>) at ../../include/QtQml/../../src/qml/qml/qqmlprivate.h:106
#39 0x00007f2d27ec5d3a in PlasmaQuick::AppletQuickItem::~AppletQuickItem (this=0x17b5a90, __in_chrg=<optimized out>) at /home/david/projects/kde5/src/frameworks/plasma-framework/src/plasmaquick/appletquickitem.cpp:418
#40 0x00007f2cfe95036f in AppletInterface::~AppletInterface (this=0x17b5a90, __in_chrg=<optimized out>) at /home/david/projects/kde5/src/frameworks/plasma-framework/src/scriptengines/qml/plasmoid/appletinterface.cpp:124
#41 0x00007f2cfe9503a8 in AppletInterface::~AppletInterface (this=0x17b5a90, __in_chrg=<optimized out>) at /home/david/projects/kde5/src/frameworks/plasma-framework/src/scriptengines/qml/plasmoid/appletinterface.cpp:126
#42 0x00007f2d2132d3ba in QObjectPrivate::deleteChildren (this=0x17d6d70) at kernel/qobject.cpp:1935
#43 0x00007f2d2132baf6 in QObject::~QObject (this=0x16fa3b0, __in_chrg=<optimized out>) at kernel/qobject.cpp:1028
#44 0x00007f2d281a1ac0 in Plasma::ScriptEngine::~ScriptEngine (this=0x16fa3b0, __in_chrg=<optimized out>) at /home/david/projects/kde5/src/frameworks/plasma-framework/src/plasma/scripting/scriptengine.cpp:42
#45 0x00007f2d281a0b98 in Plasma::AppletScript::~AppletScript (this=0x16fa3b0, __in_chrg=<optimized out>) at /home/david/projects/kde5/src/frameworks/plasma-framework/src/plasma/scripting/appletscript.cpp:44
#46 0x00007f2cfe94b040 in DeclarativeAppletScript::~DeclarativeAppletScript (this=0x16fa3b0, __in_chrg=<optimized out>) at /home/david/projects/kde5/src/frameworks/plasma-framework/src/scriptengines/qml/plasmoid/declarativeappletscript.cpp:75
#47 0x00007f2cfe94b070 in DeclarativeAppletScript::~DeclarativeAppletScript (this=0x16fa3b0, __in_chrg=<optimized out>) at /home/david/projects/kde5/src/frameworks/plasma-framework/src/scriptengines/qml/plasmoid/declarativeappletscript.cpp:77
#48 0x00007f2d28149de9 in Plasma::AppletPrivate::~AppletPrivate (this=0x17d99e0, __in_chrg=<optimized out>) at /home/david/projects/kde5/src/frameworks/plasma-framework/src/plasma/private/applet_p.cpp:88
#49 0x00007f2d28149f32 in Plasma::AppletPrivate::~AppletPrivate (this=0x17d99e0, __in_chrg=<optimized out>) at /home/david/projects/kde5/src/frameworks/plasma-framework/src/plasma/private/applet_p.cpp:97
#50 0x00007f2d28138b41 in Plasma::Applet::~Applet (this=0x17d9b70, __in_chrg=<optimized out>) at /home/david/projects/kde5/src/frameworks/plasma-framework/src/plasma/applet.cpp:110
#51 0x00007f2d28138b7c in Plasma::Applet::~Applet (this=0x17d9b70, __in_chrg=<optimized out>) at /home/david/projects/kde5/src/frameworks/plasma-framework/src/plasma/applet.cpp:111
#52 0x00007f2d2814ed92 in Plasma::ContainmentPrivate::~ContainmentPrivate (this=0x16fa990, __in_chrg=<optimized out>) at /home/david/projects/kde5/src/frameworks/plasma-framework/src/plasma/private/containment_p.cpp:62
#53 0x00007f2d2813d1d1 in Plasma::Containment::~Containment (this=0x16dd240, __in_chrg=<optimized out>) at /home/david/projects/kde5/src/frameworks/plasma-framework/src/plasma/containment.cpp:93
#54 0x00007f2d2813d21c in Plasma::Containment::~Containment (this=0x16dd240, __in_chrg=<optimized out>) at /home/david/projects/kde5/src/frameworks/plasma-framework/src/plasma/containment.cpp:94
#55 0x00007f2d213342bc in qDeleteInEventHandler (o=0x16dd240) at kernel/qobject.cpp:4345
#56 0x00007f2d2132be28 in QObject::event (this=0x16dd240, e=0x4c6e210) at kernel/qobject.cpp:1232
#57 0x00007f2d22153c24 in QApplicationPrivate::notify_helper (this=0x81f6c0, receiver=0x16dd240, e=0x4c6e210) at kernel/qapplication.cpp:3501
#58 0x00007f2d221513b6 in QApplication::notify (this=0x7fffb9c84d40, receiver=0x16dd240, e=0x4c6e210) at kernel/qapplication.cpp:2954
#59 0x00007f2d212f05d6 in QCoreApplication::notifyInternal (this=0x7fffb9c84d40, receiver=0x16dd240, event=0x4c6e210) at kernel/qcoreapplication.cpp:935
#60 0x00007f2d212f42bf in QCoreApplication::sendEvent (receiver=0x16dd240, event=0x4c6e210) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:237
#61 0x00007f2d212f1933 in QCoreApplicationPrivate::sendPostedEvents (receiver=0x0, event_type=0, data=0x816090) at kernel/qcoreapplication.cpp:1539
#62 0x00007f2d212f12e4 in QCoreApplication::sendPostedEvents (receiver=0x0, event_type=0) at kernel/qcoreapplication.cpp:1397
#63 0x00007f2d213676d6 in postEventSourceDispatch (s=0x85f480) at kernel/qeventdispatcher_glib.cpp:279
#64 0x00007f2d1bf88b84 in g_main_context_dispatch () from /usr/lib/libglib-2.0.so.0
#65 0x00007f2d1bf88dc8 in ?? () from /usr/lib/libglib-2.0.so.0
#66 0x00007f2d1bf88e6c in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#67 0x00007f2d21367e77 in QEventDispatcherGlib::processEvents (this=0x860c60, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#68 0x00007f2d13e46de0 in QPAEventDispatcherGlib::processEvents (this=0x860c60, flags=...) at eventdispatchers/qeventdispatcher_glib.cpp:123
#69 0x00007f2d212ed28c in QEventLoop::processEvents (this=0x7fffb9c84c00, flags=...) at kernel/qeventloop.cpp:136
#70 0x00007f2d212ed56f in QEventLoop::exec (this=0x7fffb9c84c00, flags=...) at kernel/qeventloop.cpp:212
#71 0x00007f2d212f0cbf in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1188
#72 0x00007f2d218cd734 in QGuiApplication::exec () at kernel/qguiapplication.cpp:1446
#73 0x00007f2d22150be3 in QApplication::exec () at kernel/qapplication.cpp:2746
#74 0x000000000045ba4d in main ()
Comment 3 Eike Hein 2014-06-20 20:24:09 UTC
Basically happens because the Task Manager is ungrouping things while it's being destroyed, because the object responsible for grouping is deleted first as a child. This causes a model transaction to hit the QML side on the way out, blowing up somewhere. Looking for a nice way to address things now.
Comment 4 Eike Hein 2014-06-20 21:00:15 UTC
Git commit c663371e2929b949af1bb02a39cb3152e596ee83 by Eike Hein.
Committed on 20/06/2014 at 20:57.
Pushed by hein into branch 'master'.

More explicit approach to grouping strategy destruction vs. group uncollapse.

Avoids ungrouping while GroupManager is destroyed and unnecessary
work in connected visualizations, and in practice a crash in Task
Manager from the ungroup model transaction hitting a half-destroyed
applet.

M  +18   -10   libtaskmanager/abstractgroupingstrategy.cpp
M  +20   -1    libtaskmanager/abstractgroupingstrategy.h
M  +5    -1    libtaskmanager/groupmanager.cpp

http://commits.kde.org/plasma-workspace/c663371e2929b949af1bb02a39cb3152e596ee83